commit bb1651334abc11495fa0326c8d562243d2a4b055
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jul 4 20:09:04 2022 +0200

    poppler 22.07.0

 CMakeLists.txt      |  2 +-
 NEWS                | 14 ++++++++++++++
 cpp/Doxyfile        |  2 +-
 glib/CMakeLists.txt |  2 +-
 qt5/src/Doxyfile    |  2 +-
 qt6/src/Doxyfile    |  2 +-
 6 files changed, 19 insertions(+), 5 deletions(-)

commit 16812b7f41ea2a7299449415aae89d3d812b6b47
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jul 4 00:18:22 2022 +0200

    Update (C)

 poppler/Form.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a0e4ff30be462cae010d22d291ab282f5d86a5e3
Author: Nelson Benítez León <nbenitezl@gmail.com>
Date:   Wed May 11 21:07:30 2022 -0400

    glib: add support for stamp annotation

    Creates new PopplerAnnotStamp type with the
    following public api:

    PopplerAnnot *poppler_annot_stamp_new(PopplerDocument *doc,
    PopplerRectangle *rect);
    PopplerAnnotStampIcon poppler_annot_stamp_get_icon(PopplerAnnotStamp
    *poppler_annot);
    void poppler_annot_stamp_set_icon(PopplerAnnotStamp *poppler_annot,
    PopplerAnnotStampIcon icon);
    gboolean poppler_annot_stamp_set_custom_image(PopplerAnnotStamp
    *poppler_annot, cairo_surface_t *image, GError **error);

    Updates poppler-glib-demo to test PopplerAnnotStamp
    including the custom image support.

 glib/demo/annots.c                  | 171 ++++++++++++++++++++-
 glib/poppler-annot.cc               | 288
 ++++++++++++++++++++++++++++++++++++
 glib/poppler-annot.h                |  35 +++++
 glib/poppler-page.cc                |   3 +
 glib/poppler-private.h              |   2 +
 glib/poppler.h                      |   1 +
 glib/reference/poppler-sections.txt |  10 ++
 glib/reference/poppler.types        |   1 +
 8 files changed, 507 insertions(+), 4 deletions(-)

commit 40762b05b73ec790c8cbe33ab76770f181f67aee
Author: Nelson Benítez León <nbenitezl@gmail.com>
Date:   Sun Jun 19 19:28:52 2022 -0400

    Form.cc: Fix crash in Form::ensureFontsForAllCharacters()

    code was assuming that defaultResources->lookupFont() would
    never return null.

    Fixes #1258

 poppler/Form.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 188aa1f8547e945752344e4e2294d4eafa167018
Author: Fabian Keßler <fabian_kessler@gmx.de>
Date:   Mon Jun 20 18:55:31 2022 +0000

    Fixes 2 MSVC compilation bugs

 glib/CMakeLists.txt | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a59bd7fa60609beb0e59eef0706ffe69f98e5beb
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jun 17 19:50:31 2022 +0200

    Update (C)

 poppler/NameToUnicodeTable.h | 1 +
 1 file changed, 1 insertion(+)

commit 9f938008f64bba382095fe6044a786950e059bae
Author: Vincent Lefevre <vincent@vinc17.net>
Date:   Fri Jun 17 17:51:02 2022 +0200

    Add ToUnicode support for lessorequalslant and greaterorequalslant

    Character names lessorequalslant and greaterorequalslant are generated
    from \leqslant and \geqslant in LaTeX with the amssymb package. They
    correspond to the Unicode characters
      U+2A7D LESS-THAN OR SLANTED EQUAL TO
      U+2A7E GREATER-THAN OR SLANTED EQUAL TO

 poppler/NameToUnicodeTable.h | 2 ++
 1 file changed, 2 insertions(+)

commit 8a14a2dd6fb837944a4465646b8154d75fe6c3cc
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Jun 16 19:18:21 2022 +0200

    Make the pregenerated contents more stable

    by running sed to remove the path from gperf command line

 CMakeLists.txt | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 727b334b00e1e298badcca94700369a13846f822
Author: Fabian Keßler <fabian_kessler@gmx.de>
Date:   Thu Jun 16 17:15:11 2022 +0000

    Run gperf as the full path found by find_program

    instead of relying it being in the path

 CMakeLists.txt | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit e7e9721b120876cddf16fc98a605ecb49dc44620
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue May 24 17:11:05 2022 +0200

    Annot: Fix first lines of Annotations sometimes being cut off

    What we're calculating in those two places is the top left corner for
    where to draw the character substracting the descent doesn't make any
    sense.

    Bug #1246

 poppler/Annot.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit da226d346e691f7545d995d6761d43e08855a3b7
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sat Jun 11 20:36:13 2022 +0930

    CairoFontEnginer: increment font_face reference when retrieving from
    the cache

    since ~CairoFont() will decrement the reference count

 poppler/CairoFontEngine.cc | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 184efabbaed7250903169627fbbaeb505ee2f51a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jun 6 11:23:51 2022 +0200

    Signatures: Don't crash if the signature doesn't have a common name

    Fixes KDE bug #454782

 poppler/SignatureHandler.cc | 3 +++
 1 file changed, 3 insertions(+)

commit 32fa2888eaaaaf80e5d2338cb8cb8b773ccfd4d3
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jun 1 17:00:51 2022 +0200

    poppler 22.06.0

 CMakeLists.txt   |  4 ++--
 NEWS             | 15 +++++++++++++++
 cpp/Doxyfile     |  2 +-
 qt5/src/Doxyfile |  2 +-
 qt6/src/Doxyfile |  2 +-
 5 files changed, 20 insertions(+), 5 deletions(-)

commit b4a961ecdaeb66daf603980cc294e17968ef5037
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jun 1 00:39:55 2022 +0200

    Update (C)

 poppler/Form.cc              | 2 +-
 qt5/src/QPainterOutputDev.cc | 2 +-
 qt6/src/QPainterOutputDev.cc | 2 +-
 splash/SplashFTFontFile.cc   | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit d24ff1963429f409d5286632108d46d34ae3f2b1
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Wed May 11 08:32:24 2022 +0930

    Make FT support UTF-8 filenames on windows

 CMakeLists.txt               | 17 ++++++-----
 goo/ft_utils.cc              | 71
 ++++++++++++++++++++++++++++++++++++++++++++
 goo/ft_utils.h               | 25 ++++++++++++++++
 poppler/CairoFontEngine.cc   |  3 +-
 poppler/Form.cc              |  5 ++--
 qt5/src/QPainterOutputDev.cc |  3 +-
 qt6/src/QPainterOutputDev.cc |  3 +-
 splash/SplashFTFontFile.cc   |  7 +++--
 8 files changed, 118 insertions(+), 16 deletions(-)

commit 2edb75336aaea52007d3d2e2f3f4566978a948a4
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jun 1 00:28:18 2022 +0200

    Update (C)

 utils/HtmlOutputDev.cc | 1 +
 1 file changed, 1 insertion(+)

commit ae13fd1f561125be152f3249ca87c8259b22ca6a
Author: Brian Rosenfield <brosenfi@yahoo.com>
Date:   Tue May 31 21:21:16 2022 +0000

    Fix type 3 font size initialization in pdftohtml using font
    bounding box

 utils/HtmlOutputDev.cc | 50
 +++++++++++++++++++++++++++++---------------------
 1 file changed, 29 insertions(+), 21 deletions(-)

commit f33cdde7e0e6a6352d724033cc9801c964487bc6
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sat May 14 12:47:23 2022 +0930

    Refactor CairoFontEngine caching

 poppler/CairoFontEngine.cc | 421
 ++++++++++++++++++---------------------------
 poppler/CairoFontEngine.h  |  44 +++--
 poppler/CairoOutputDev.cc  |   2 +-
 poppler/CairoOutputDev.h   |   2 +-
 4 files changed, 204 insertions(+), 265 deletions(-)

commit 7c822d062fe5602475f82746d0fd5961a70a831a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed May 25 17:59:26 2022 +0200

    test: Fix finding cairo headers on compile time

 test/CMakeLists.txt | 5 +++++
 1 file changed, 5 insertions(+)

commit ea8c6fe95ef63e0f6d6502d2521c0a0dac17cc1d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed May 25 14:51:22 2022 +0200

    Make gcc a bit happier

 cpp/poppler-page.h           | 6 +++---
 qt5/src/QPainterOutputDev.cc | 3 ++-
 qt6/src/QPainterOutputDev.cc | 3 ++-
 3 files changed, 7 insertions(+), 5 deletions(-)

commit a8ffdc092dff15a7729d4ec2e5a1476dc1030172
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Tue May 24 19:12:48 2022 +0930

    Add cairo thread test

 test/CMakeLists.txt       |  21 ++
 test/cairo-thread-test.cc | 561
 ++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 582 insertions(+)

commit 3d8e5e005fb553147c2a4a6d7327c98896221faa
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon May 9 00:44:16 2022 +0200

    pdfattach: Assume filename is utf8 encoded

    Which is the encoding most [linux] OS use

    Fixes issue #1079

 utils/pdfattach.cc | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit b700e0b254ed35b672b85bb86d6a81877fe30e10
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue May 17 00:52:04 2022 +0200

    Forms: Fix crash in forms with their own DR

    When adding potentially missing fonts to the PDF file because we have
    written a letter like ħ that is not available on the form font,
    if the
    form has their own DR, we also need to add the font to that DR
    Font dict
    and not only to the global Form one (in theory we would only have
    to add
    it to the particular form one and not to the global, but it's easier
    this way and it's not like we're adding the data twice, we're just
    adding the Ref to two dicts)

 poppler/Form.cc               | 52
 ++++++++++++++++++++++++++++++++-----------
 poppler/Form.h                | 16 +++++++++----
 poppler/PDFDoc.cc             |  2 +-
 qt5/src/poppler-annotation.cc |  2 +-
 qt6/src/poppler-annotation.cc |  2 +-
 5 files changed, 54 insertions(+), 20 deletions(-)

commit 4139f79cf8c4e3f529570c9a300491c36f9100e8
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri May 13 01:31:00 2022 +0200

    TextPage::coalesce: Fix crash on broken files

    oss-fuzz/47350

 poppler/TextOutputDev.cc | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 4eeb3380ea77d277ace735f191f303564a25a0e3
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu May 12 22:42:02 2022 +0200

    greallocn: Make gcc 12.1 happier

    Without this hint that bytes is always going to be > 0 we got
    a million
    of warnings like

    In function ‘void gfree(void*)’,
        inlined from ‘void* greallocn(void*, int, int, bool, bool)’
        at goo/gmem.h:178:14,
        inlined from ‘void CharCodeToUnicode::setMapping(CharCode,
        Unicode*, int)’ at poppler/CharCodeToUnicode.cc:648:60:
    goo/gmem.h:65:14: warning: pointer used after ‘void free(void*)’
    [-Wuse-after-free]
       65 |     std::free(p);
          |     ~~~~~~~~~^~~
    In function ‘void gfree(void*)’,
        inlined from ‘void* grealloc(void*, size_t, bool)’ at
        goo/gmem.h:73:14,
        inlined from ‘void* greallocn(void*, int, int, bool, bool)’
        at goo/gmem.h:174:27,
        inlined from ‘void CharCodeToUnicode::setMapping(CharCode,
        Unicode*, int)’ at poppler/CharCodeToUnicode.cc:648:60:
    goo/gmem.h:65:14: note: call to ‘void free(void*)’ here
       65 |     std::free(p);
          |     ~~~~~~~~~^~~

 goo/gmem.h | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit e7f0fd89d937d28a77539fb9782a2b59eb51e5a8
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu May 12 22:38:40 2022 +0200

    NetPBMWriter: Change destructor

    Makes gcc 12.1 happier, i think it was a gcc bug anyway, but the new
    code is a bit "better" anyway, the warning i was getting is

    In file included from utils/ImageOutputDev.cc:44:
    In destructor ‘virtual NetPBMWriter::~NetPBMWriter()’,
        inlined from ‘virtual NetPBMWriter::~NetPBMWriter()’ at
        goo/NetPBMWriter.h:41:31,
        inlined from ‘void ImageOutputDev::writeImage(GfxState*,
        Object*, Stream*, int, int, GfxImageColorMap*, bool)’ at
        utils/ImageOutputDev.cc:636:16:
    goo/NetPBMWriter.h:41:31: warning: array subscript
    ‘NetPBMWriter[0]’ is partly outside array bounds of ‘ImgWriter
    [2]’ [-Warray-bounds]
       41 |     ~NetPBMWriter() override {};
          |                               ^
    utils/ImageOutputDev.cc: In member function ‘void
    ImageOutputDev::writeImage(GfxState*, Object*, Stream*, int, int,
    GfxImageColorMap*, bool)’:
    utils/ImageOutputDev.cc:620:57: note: object of size 16 allocated
    by ‘operator new’
      620 |             writer = new PNGWriter(PNGWriter::MONOCHROME);
          |                                                         ^
    utils/ImageOutputDev.cc:623:51: note: object of size 16 allocated
    by ‘operator new’
      623 |             writer = new PNGWriter(PNGWriter::GRAY);
          |                                                   ^
    utils/ImageOutputDev.cc:627:52: note: object of size 16 allocated
    by ‘operator new’
      627 |             writer = new PNGWriter(PNGWriter::RGB48);
          |                                                    ^
    utils/ImageOutputDev.cc:630:50: note: object of size 16 allocated
    by ‘operator new’
      630 |             writer = new PNGWriter(PNGWriter::RGB);
          |                                                  ^

 goo/NetPBMWriter.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cf5034d83593dae25890d8cb58159491683629f6
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu May 12 22:35:33 2022 +0200

    Update (C)

 poppler/CairoOutputDev.cc | 2 +-
 poppler/GfxState.h        | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit b2f48cfc89b0ef73e0eed56ca819bf6add04eb96
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed May 4 00:13:56 2022 +0200

    Fix uninitialized memory read on broken files

 fofi/FoFiType1C.cc | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

commit 5b476757e70c79e8dca5fe2a3fb69cbbbfe710a9
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Apr 22 17:50:04 2022 +0200

    GetWindowsFontDir: Simply call SHGetFolderPathA

    Instead of all the dance with loading various different dlls

    We don't support terribly old Windows that don't even have
    SHGetFolderPathA

 poppler/GlobalParamsWin.cc | 34 +++-------------------------------
 1 file changed, 3 insertions(+), 31 deletions(-)

commit 29f32a477f0f75ee44df890acac377a2eed314c6
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Fri Apr 22 16:15:09 2022 +0930

    cairo: preserve text color when drawing type 3 glyphs

    Type 3 glyphs (that don't override the color) should be painted with
    the current graphics state color when the text operator is invoked.

 poppler/CairoFontEngine.cc |  11 +++-
 poppler/CairoOutputDev.cc  | 154
 ++++++++++++++++++++++++++++++---------------
 poppler/CairoOutputDev.h   |  21 +++++--
 poppler/GfxState.h         |   2 +
 4 files changed, 130 insertions(+), 58 deletions(-)

commit 27672cc02a6dd07849bf83a298597e083831ec49
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed May 4 23:25:49 2022 +0200

    JBIGStream: Fix unint memory read on broken files

    oss-fuzz/47224

 poppler/JBIG2Stream.cc | 3 +++
 1 file changed, 3 insertions(+)

commit 09db9f0d7ff30f3a9eac1b682d1d38cb809fa940
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu May 5 23:17:36 2022 +0200

    Update (C)

 cpp/poppler-global.h | 1 +
 1 file changed, 1 insertion(+)

commit 5d543e801d304e4cdbe12506f62c340d509f12f3
Author: Tobias C. Berner <tcberner@gmail.com>
Date:   Thu May 5 04:59:42 2022 +0000

    Fix c_time usage

    In 2656d986d01da5aea4f51c75e4deee569ca88064 the time type was switched
    to time_t, without including the necessary ctime header.

 cpp/poppler-global.h | 1 +
 1 file changed, 1 insertion(+)

commit d2dd9c322542eb7ea9e3e0b8324b33b3af9d8b1e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue May 3 22:18:46 2022 +0200

    poppler 22.05.0

 CMakeLists.txt     |  4 ++--
 NEWS               | 20 ++++++++++++++++++++
 cpp/CMakeLists.txt |  2 +-
 cpp/Doxyfile       |  2 +-
 qt5/src/Doxyfile   |  2 +-
 qt6/src/Doxyfile   |  2 +-
 6 files changed, 26 insertions(+), 6 deletions(-)

commit ac9b736c3f20704a41db9102589fa259abb26891
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue May 3 00:16:00 2022 +0200

    Fix rendering regression introduced in
    5f915d46c99ecbc0c026b86de50f9e0243391a01

    We can't assume "Fields" needs to exist, there's other things
    there like
    NeedAppearances that are valid without Fields

    The bug in Catalog::addFormToAcroForm remains, but will need to
    wait to
    get fixed on next release

 poppler/Catalog.cc | 6 ------
 1 file changed, 6 deletions(-)

commit 133d0b06c61fae2b1ad1cb4164d10eddba589049
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Apr 30 10:03:39 2022 +0200

    Update (C)

 poppler/TextOutputDev.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8ce9069f5dff8636373c546f33495908a963777e
Author: Nelson Benítez León <nbenitezl@gmail.com>
Date:   Sat Apr 23 18:14:37 2022 -0400

    fix multiline find_text() bug in two column docs

    Fix for a bug in double column documents where some
    single line matches are wrongly returned as being
    multiline matches.

    Includes test case for the bug.

 glib/poppler-page.cc       |  6 +++---
 poppler/TextOutputDev.cc   |  6 ++++++
 qt5/tests/check_search.cpp | 22 ++++++++++++++++++++++
 qt6/tests/check_search.cpp | 22 ++++++++++++++++++++++
 4 files changed, 53 insertions(+), 3 deletions(-)

commit 309004931712476b0ee751fc60224a87c14daf56
Author: Nelson Benítez León <nbenitezl@gmail.com>
Date:   Mon Apr 18 20:03:49 2022 -0400

    fix bug in multiline find_text()

    which caused some false positives being returned.

    Includes test case for the bug.

    See original comment about this bug:
    https://gitlab.gnome.org/GNOME/evince/-/merge_requests/159#note_1431380

 poppler/TextOutputDev.cc   | 3 ++-
 qt5/tests/check_search.cpp | 5 +++++
 qt6/tests/check_search.cpp | 5 +++++
 3 files changed, 12 insertions(+), 1 deletion(-)

commit 85b487c5f71ab0352fcda9ea86cca16f959004b0
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Apr 25 20:56:05 2022 +0200

    Update (C)

 utils/HtmlOutputDev.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 44533caf6b74ec3d531eb7ceec6ed2a31b24079a
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Mon Apr 25 19:46:22 2022 +0930

    HtmlOutputDev: don't use png.h

    It is not needed. Fixes mingw build that was failing with png.h
    not found.

 utils/HtmlOutputDev.cc | 8 ++------
 1 file changed, 2 insertions(+), 6 deletions(-)

commit 8ed7d5633db76df10ef340edc31f1cc868e3ab02
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Apr 22 13:47:18 2022 +0200

    Rework GetWindowsFontDir

 goo/GooString.h            |  5 +++++
 poppler/GlobalParams.cc    |  2 +-
 poppler/GlobalParamsWin.cc | 39 +++++++++++++++++----------------------
 3 files changed, 23 insertions(+), 23 deletions(-)

commit 74f11fbcffda7679d1b2e16f82668d482677ab8c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Apr 22 11:12:37 2022 +0200

    Stream: Fix two types to hold what the are stored to

 poppler/Stream.h | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 67190c0a05045d3c3eef4d5f0eaeb4435eb59c7c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Apr 20 19:58:56 2022 +0200

    CI: -Werror for the Android builder

 .gitlab-ci.yml          | 1 +
 poppler/GfxState.cc     | 2 ++
 poppler/GlobalParams.cc | 4 ++++
 3 files changed, 7 insertions(+)

commit 2656d986d01da5aea4f51c75e4deee569ca88064
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Apr 2 22:21:35 2022 +0200

    cpp: Use time_t for time

    The existing time_type is unsigned int which suffers from the Y2K38
    problem

 cpp/poppler-document.cpp      | 136
 +++++++++++++++++++++++++++++++++++++++++-
 cpp/poppler-document.h        |  20 ++++---
 cpp/poppler-embedded-file.cpp |  26 +++++++-
 cpp/poppler-embedded-file.h   |   8 ++-
 cpp/poppler-global.cpp        |  11 +++-
 cpp/poppler-global.h          |   6 +-
 cpp/tests/poppler-dump.cpp    |   8 +--
 7 files changed, 195 insertions(+), 20 deletions(-)

commit bd7bc10636ce20159133f846dfc337f2ab92b5ed
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Apr 18 19:34:52 2022 +0200

    CI: Update mingw to fedora 36

 .gitlab-ci.yml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 368465a8ce191a5756abae90d49ca861fae104e7
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Apr 15 10:43:31 2022 +0200

    Update (C)

 poppler/Form.cc         | 1 +
 poppler/Form.h          | 1 +
 qt5/src/poppler-form.cc | 1 +
 qt6/src/poppler-form.cc | 1 +
 4 files changed, 4 insertions(+)

commit 10d74ff226b8b7e930a75b050664272df30c2aba
Author: Alexander Sulfrian <asulfrian@zedat.fu-berlin.de>
Date:   Thu Apr 14 00:43:58 2022 +0200

    qt: Pass leftFontSize down to
    `FormWidgetSignature::signDocumentWithAppearence`

    A similar issue for `PDFDoc::sign` was already fixed in:
    864466a6753014106448f1a6c0000aa68bedf101

 poppler/Form.cc         | 3 ++-
 poppler/Form.h          | 2 +-
 qt5/src/poppler-form.cc | 5 +++--
 qt6/src/poppler-form.cc | 5 +++--
 4 files changed, 9 insertions(+), 6 deletions(-)

commit 6a4bbacbfa0c914162ffb23cc759a9adafc9e295
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Apr 14 01:23:55 2022 +0200

    Fix crash in very badly damaged documents when adding a freetext
    annotation

    oss-fuzz/46497

 poppler/Catalog.cc            |  9 +++++++--
 poppler/Catalog.h             |  1 +
 qt5/src/poppler-annotation.cc | 18 ++++++++++--------
 qt6/src/poppler-annotation.cc | 18 ++++++++++--------
 4 files changed, 28 insertions(+), 18 deletions(-)

commit 7ff9c7847a0f64a5db026ecbefbb14b37938f2d2
Author: Pablo Rodríguez <1425-ousia@users.noreply.gitlab.freedesktop.org>
Date:   Wed Apr 13 15:26:28 2022 +0000

    Correct typo in `poppler-structure-element.cc`

 glib/poppler-structure-element.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3ca9992ad4660d979491829048a6da84be192671
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Apr 8 11:26:29 2022 +0200

    MSVC: Fix conversion warnings

    Make the conversions from double to int/char explicit, we want them

 splash/Splash.cc | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit b1ad047408152e4a36f170728b6e97784fa48395
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Apr 8 11:21:09 2022 +0200

    MSVC: type conversion warning fix

    Don't support adding fonts bigger than INT_MAX

 poppler/Form.cc | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 6f9f838341173667d2a253df64f1706392649564
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Apr 8 11:18:57 2022 +0200

    MSVC: type warning fixes

    outBuf is 16384 long so we can cast its ptrdiff_t to int fine

 poppler/FlateEncoder.cc |  8 ++++----
 poppler/JBIG2Stream.cc  | 13 ++++++-------
 2 files changed, 10 insertions(+), 11 deletions(-)

commit 23c70adb7671c174ee5084eb28cd0100f8877065
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Apr 8 11:15:41 2022 +0200

    MSVC: type conversion warnings

    int to size_t
    float to double

 utils/HtmlLinks.cc     | 6 +++---
 utils/HtmlLinks.h      | 6 +++---
 utils/HtmlOutputDev.cc | 4 ++--
 3 files changed, 8 insertions(+), 8 deletions(-)

commit 0ccae23433365297acb391471cc783be03d33c30
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Apr 8 10:47:01 2022 +0200

    MSVC: More warning fixes

     * Add casts that convert between types but we know the value
     inside the
       bigger type will be small enough
     * Some ceil/round/floor -> int cast
     * Add forced casts because the destination type is needed
     * Add some casts (distance between characters in an user option
     will be
       int) which potentially could be wrong, but noone is going to write
       such a long parameter in the command line

 fofi/FoFiType1.cc         |  6 +++---
 goo/grandom.cc            |  3 ++-
 utils/pdftocairo-win32.cc | 24 ++++++++++++------------
 utils/pdftocairo.cc       |  6 +++---
 utils/pdftoppm.cc         |  4 ++--
 5 files changed, 22 insertions(+), 21 deletions(-)

commit bea57d66fdba3c51b60fc6899481f6eb156c3b50
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Apr 7 13:52:47 2022 +0200

    FoFiOutputFunc: Use size_t instead of int

 fofi/FoFiBase.h                 | 4 ++--
 poppler/PSOutputDev.cc          | 2 +-
 qt5/src/poppler-ps-converter.cc | 4 ++--
 qt6/src/poppler-ps-converter.cc | 4 ++--
 4 files changed, 7 insertions(+), 7 deletions(-)

commit 85e5dfb062a19cf0b4ee531746a941f6dadf1cdd
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Apr 7 13:50:37 2022 +0200

    easier to understand definition for FoFiOutputFunc

 fofi/FoFiBase.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5973e32c9366f000c48d4a4f939abf2699faf145
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Apr 7 13:49:33 2022 +0200

    PSOutputFunc -> FoFiOutputFunc

 poppler/PSOutputDev.cc | 8 ++++----
 poppler/PSOutputDev.h  | 9 ++++-----
 2 files changed, 8 insertions(+), 9 deletions(-)

commit fae5ec7071c928a6163924ecdc6719806710b975
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Mar 24 17:43:39 2022 +0100

    AnnotAppearanceBuilder::drawText: Make dx, dy const

 poppler/Annot.cc | 45 ++++++++++++++++++++++-----------------------
 1 file changed, 22 insertions(+), 23 deletions(-)

commit 487e62541df7ebc2278e84b7b1e3b021e86facc5
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Apr 6 14:58:26 2022 +0200

    ImgWriter::init: take double for dpi instead of int

    In pdftoppm/pdftocairo the dpi are doubles, so pass them down
    as doubles
    as much as we can until we need to convert them to ints (in some
    formats
    like Tiff, we don't even need to do it since dpi is also a double)

 goo/ImgWriter.h        |  4 ++--
 goo/JpegWriter.cc      | 15 +++++++++++----
 goo/JpegWriter.h       |  4 ++--
 goo/NetPBMWriter.cc    |  4 ++--
 goo/NetPBMWriter.h     |  4 ++--
 goo/PNGWriter.cc       | 18 +++++++++++++++---
 goo/PNGWriter.h        |  4 ++--
 goo/TiffWriter.cc      |  8 ++++----
 goo/TiffWriter.h       |  4 ++--
 splash/SplashBitmap.cc |  8 ++++----
 splash/SplashBitmap.h  |  8 ++++----
 11 files changed, 50 insertions(+), 31 deletions(-)

commit bcec8308c5c7ce7a781097dbd5669603b66b3e6a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Apr 6 14:36:45 2022 +0200

    Fix warning when compiling on FreeBSD

 utils/InMemoryFile.cc | 2 +-
 utils/InMemoryFile.h  | 7 +++++--
 2 files changed, 6 insertions(+), 3 deletions(-)

commit 0b474ffb990a8285a6d3c2bf157b32b2264fb140
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Mar 23 13:35:01 2022 +0100

    Forms: Make sure we embedd fonts as needed

    And a bit of refactoring :)

 poppler/Annot.cc | 433
 +++++++++++++++++++++++++++++++------------------------
 poppler/Annot.h  |   8 +-
 poppler/Form.cc  |  33 +++--
 3 files changed, 275 insertions(+), 199 deletions(-)

commit db7865c6a38dd9d26d8b16ab2727fcec311efad8
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Mar 23 13:35:01 2022 +0100

    Signatures: Make sure we embed the needed fonts

 poppler/Annot.cc  | 213
 +++++++++++++++++++++++++-----------------------------
 poppler/Annot.h   |   3 +-
 poppler/Form.cc   |  25 +++++--
 poppler/Form.h    |   6 +-
 poppler/PDFDoc.cc |  10 ++-
 5 files changed, 131 insertions(+), 126 deletions(-)

commit 5f915d46c99ecbc0c026b86de50f9e0243391a01
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Feb 22 16:01:19 2022 +0100

    Annotations: Make sure we embed fonts for the FreeText annots

 poppler/Annot.cc              | 194 +++++++++++++++++++++++----
 poppler/Annot.h               |   7 +-
 poppler/Catalog.cc            |  66 +++++----
 poppler/Catalog.h             |   2 +
 poppler/Dict.cc               |  10 ++
 poppler/Dict.h                |   7 +-
 poppler/Form.cc               | 301
 +++++++++++++++++++++++++++++++++++++++++-
 poppler/Form.h                |  26 +++-
 poppler/GlobalParams.cc       | 117 ++++++++++++++++
 poppler/GlobalParams.h        |  28 ++++
 poppler/GlobalParamsWin.cc    |  47 +++++++
 poppler/PDFDoc.cc             |   2 +
 qt5/src/poppler-annotation.cc |  68 +++++++---
 qt6/src/poppler-annotation.cc |  69 ++++++----
 14 files changed, 842 insertions(+), 102 deletions(-)

commit 8a06776bc89ae8f4fa1655befb6d3a24e161150b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Apr 5 16:50:56 2022 +0200

    cpp: MSVC warning fixes

    Cast from time_t to time_type because they are not the same type
    anymore on systems that are protected from the Y2K38 problem

    Actual fix for that coming in a different patch

 cpp/poppler-document.cpp      | 6 +++---
 cpp/poppler-embedded-file.cpp | 4 ++--
 cpp/poppler-global.cpp        | 4 ++--
 3 files changed, 7 insertions(+), 7 deletions(-)

commit d55f9ee33ea3a7d233b9e40a548345bc0ca7653f
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Apr 5 16:40:38 2022 +0200

    cpp: Add page_transition::durationReal

    The duration is really a double, so add a function that doesn't turns
    that double into an int

 cpp/poppler-page-transition.cpp | 7 ++++++-
 cpp/poppler-page-transition.h   | 5 +++--
 2 files changed, 9 insertions(+), 3 deletions(-)

commit 069f5c9c1e165aedbf9cf44813bff7ee70c9fd45
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Apr 5 16:28:24 2022 +0200

    Update (C)

 poppler/CairoFontEngine.cc | 2 +-
 poppler/CairoFontEngine.h  | 2 +-
 poppler/CairoOutputDev.h   | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 7f2b2964297e4d381b43ad5710540fedfe216a2c
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sat Mar 19 17:59:39 2022 +1030

    Fix clang warning

 poppler/CairoFontEngine.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 61f6d6d1492b9a8bfa19dfe4bfa4a7294a9a29bd
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sat Mar 19 15:06:58 2022 +1030

    Cairo color type 3 fonts

    Fixes #729
    Fixes #944

 poppler/CairoFontEngine.cc | 26 +++++++++++++++++++++++---
 poppler/CairoOutputDev.cc  |  7 +++++++
 poppler/CairoOutputDev.h   |  2 ++
 3 files changed, 32 insertions(+), 3 deletions(-)

commit 5e57fc6025fdf9374cf77549265a2ccb9c91fbf8
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Apr 2 01:27:36 2022 +0200

    More MSVC fixes

    All the casts are protected by ifs that check the cast is in range or
    fails otherwise

 poppler/XRef.cc | 21 +++++++++++++--------
 1 file changed, 13 insertions(+), 8 deletions(-)

commit f5aca2bea7481aecefd3062ab0f45820f24f4152
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Apr 2 01:12:37 2022 +0200

    Silence MSVC warning

    We know it's < 24576 so the cast is fine

 poppler/PDFDoc.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 846249c2102d12d74739555483232088f55610cf
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Apr 2 01:01:57 2022 +0200

    Make MSVC happy

 poppler/SecurityHandler.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 42225a1413629c7f3ab8d495267ab9deca485bef
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Apr 2 00:47:12 2022 +0200

    Protect against abnormally long strings

 poppler/PageLabelInfo_p.h | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit e7adc2c5fa0559d8dea76c67e37f7be3f50237a0
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Apr 2 00:36:03 2022 +0200

    More GooString to size_t where it makes some sense

 goo/GooString.h | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 9037292ae440fdb959252264da7cd58db16322c0
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Apr 2 00:25:38 2022 +0200

    No reason to limit how much we can append in GooString::append

